19c(19.3) 单机数据库静默安装

 rencontre avec femme divorcГ©e maroc 文章标题:19c(19.3) 单机数据库静默安装
文章URL: http://www.prudentwoo.com/archives/2874
作者:PrudentWoo©版权所有
[文章允许转载,但必须以链接方式注明源地址,否则追究法律责任.]

19c(19.3) 单机数据库静默安装

一、           环境介绍

操作系统Red Hat Enterprise Linux Server release   7.7 (Maipo)
数据库版本Oracle database 19.3
主机名adg19c
IP地址192.168.84.99
安装目录/DBSoft/oracle/product/19.3/dbhome_1
数据库名称woo
字符集AL32UTF8

二、           环境准备

2.1.    关闭防火墙

[root@adg19c ~]# systemctl stop firewalld
[root@adg19c ~]# systemctl disable firewalld
Removed symlink /etc/systemd/system/multi-user.target.wants/firewalld.service.
Removed symlink /etc/systemd/system/dbus-org.fedoraproject.FirewallD1.service.

2.2.    禁用NetworkManager服务

[root@adg19c ~]# systemctl stop NetworkManager
[root@adg19c ~]# systemctl disable NetworkManager

2.3.    禁用SELINUX

[root@adg19c ~]# setenforce 0
setenforce: SELinux is disabled
[root@adg19c ~]# sed -i "/^SELINUX=/s#enforcing#disabled#" /etc/selinux/config

2.4.    配置HOSTS解析

[root@adg19c ~]# cat >> /etc/hosts <<EOF
> 
> 192.168.84.99        adg19c
> EOF

2.5.    修改主机名

[root@adg19c ~]#sed -i 's#^HOSTNAME=.$#HOSTNAME=db01#' /etc/sysconfig/network [root@adg19c ~]# sed -i 's#^NETWORKING_IPV6=.$#NETWORKING_IPV6=no#' /etc/sysconfig/network

2.6.        配置NOZEROCONFIG

[root@adg19c ~]# cat >> /etc/sysconfig/network <<EOF
> NOZEROCONF=yes
> EOF

2.7.    创建组和用户

创建dba和onstall两个用户组
[root@adg19c ~]# groupadd -g 501 dba
[root@adg19c ~]# groupadd -g 502 oinstall

创建oracle用户
[root@adg19c ~]# useradd -u 503 -g oinstall -G dba oracle

配置oracle用户密码
[root@adg19c ~]# echo "oracle"|passwd --stdin oracle
Changing password for user oracle.
passwd: all authentication tokens updated successfully.

2.8.    创建安装目录并赋权

创建目录
[root@adg19c ~]# mkdir -p /DBSoft/oraInventory
[root@adg19c ~]# mkdir -p /DBSoft/oracle/product/19.3/dbhome_1

赋权
[root@adg19c ~]# chown -R oracle:oinstall /DBSoft
[root@adg19c ~]# chmod -R 775 /DBSoft

2.9.    配置用户环境变量

[root@adg19c ~]# cat >> /home/oracle/.bash_profile <<EOF
> export TMP=/tmp
>  export TMPDIR=\$TMP
> export EDIT=vi
> alias vi=vim
> export ORACLE_HOSTNAME=$HOST_NAME
> export ORACLE_UNQNAME=woo
> export ORACLE_BASE=/DBSoft/oracle
>  export ORACLE_HOME=\$ORACLE_BASE/product/19.3/dbhome_1
> export ORACLE_SID=woo
> export ORACLE_TERM=xterm
> export PATH=/usr/sbin:\$PATH
> blog here    export PATH=\$ORACLE_HOME/bin:\$PATH
> export LD_LIBRARY_PATH=\$ORACLE_HOME/lib:/lib:/usr/lib
> export CLASSPATH=\$ORACLE_HOME/JRE:\$ORACLE_HOME/jlib:\$ORACLE_HOME/rdbms/jlib
> export NLS_LANG=AMERICAN_AMERICA AL32UTF16
> umask 022
> EOF

2.10. 配置系统环境变量

[root@adg19c ~]#cat >> /etc/profile <<EOF
> if [ \$USER = "oracle" ]; then
>    if [ \$SHELL = "/bin/ksh" ]; then
>          ulimit -p 16384
>          ulimit -n 65536
>    else
>          ulimit -u 16384 -n 65536
>    fi
> fi
> EOF

2.11. 修改系统内核参数

[root@adg19c ~]# cat >> /etc/sysctl.conf <<EOF
> kernel.shmall = 4294967296
> kernel.sem = 5130 65280 510 256
> kernel.shmmni = 4096
> kernel.shmmax = 549755813888 #support max TotalMemory 512GB
> net.ipv4.ip_local_port_range = 9000 65500
> net.core.rmem_default = 1048576
> net.core.rmem_max = 4194304
> net.core.wmem_default = 262144
> net.core.wmem_max = 1048576
> fs.file-max = 6815744
> fs.aio-max-nr = 1048576
> vm.swappiness = 10
> vm.dirty_background_ratio = 20
> vm.dirty_ratio = 80
> vm.dirty_expire_centisecs = 500
> vm.dirty_writeback_centisecs = 100
> net.ipv4.tcp_sack = 0
> net.ipv4.tcp_timestamps = 0
> net.ipv4.conf.default.rp_filter = 0
> net.ipv4.tcp_wmem = 262144
> net.ipv4.tcp_rmem = 4194304
> EOF

[root@adg19c ~]# /sbin/sysctl -p
kernel.shmall = 4294967296
kernel.sem = 5130 65280 510 256
kernel.shmmni = 4096
kernel.shmmax = 549755813888 #support max TotalMemory 512GB
net.ipv4.ip_local_port_range = 9000 65500
net.core.rmem_default = 1048576
net.core.rmem_max = 4194304
net.core.wmem_default = 262144
net.core.wmem_max = 1048576
fs.file-max = 6815744
fs.aio-max-nr = 1048576
vm.swappiness = 10
vm.dirty_background_ratio = 20
vm.dirty_ratio = 80
vm.dirty_expire_centisecs = 500
vm.dirty_writeback_centisecs = 100
net.ipv4.tcp_sack = 0
net.ipv4.tcp_timestamps = 0
net.ipv4.conf.default.rp_filter = 0
net.ipv4.tcp_wmem = 262144
net.ipv4.tcp_rmem = 4194304

2.12. 配置LIMITS限制参数

[root@adg19c ~]# cat >> /etc/security/limits.conf <<EOF
> oracle soft nproc 16384
> oracle hard nproc 16384
> oracle soft nofile 65536
> oracle hard nofile 65536
> oracle soft memlock 3145728
> oracle hard memlock 3145728
> EOF

2.13. 配置PAM验证

[root@adg19c ~]# cat >> /etc/pam.d/login <<EOF
> session required /lib64/security/pam_limits.so
> EOF

2.14. 安装依赖包

2.14.1     挂载系统介质

[root@adg19c ~]# mount /dev/sr0 /mnt/
mount: /dev/sr0 is write-protected, mounting read-only

2.14.2     配置yum包

[root@adg19c ~]# cat > /etc/yum.repos.d/local.repo <<EOF
[base]
name=base
baseurl=file:///mnt
enabled=1
gpgcheck=0
multilib_policy=all
EOF

[root@adg19c ~]# yum clean all
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
Cleaning repos: base

[root@adg19c ~]# yum makecache
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
base | 2.8 kB 00:00:00
(1/4): base/group_gz | 103 kB 00:00:00
(2/4): base/primary | 2.0 MB 00:00:00
(3/4): base/filelists | 3.1 MB 00:00:00
(4/4): base/other | 1.1 MB 00:00:00
base 5229/5229
base 5229/5229
base 5229/5229
Metadata Cache Created

2.13.3           安装依赖包

[root@adg19c ~]# yum install -y bc binutils compat-libcap1 compat-libstdc++ elfutils-libelf elfutils-libelf-devel fontconfig-devel glibc glibc-devel ksh libaio libaio-devel libX11 libXau libXi libXtst libXrender libXrender-devel libgcc libstdc++ libstdc++-devel libxcb make net-tools nfs-utils python python-configshell python-rtslib python-six targetcli smartmontools sysstat unzip vim

Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
base | 2.8 kB 00:00:00
(1/2): base/group_gz | 103 kB 00:00:00
(2/2): base/primary | 2.0 MB 00:00:00
base 5229/5229
Package binutils-2.27-41.base.el7.x86_64 already installed and latest version
No package compat-libstdc++ available.
Package elfutils-libelf-0.176-2.el7.x86_64 already installed and latest version
Package glibc-2.17-292.el7.x86_64 already installed and latest version
Package libaio-0.3.109-13.el7.x86_64 already installed and latest version
Package libgcc-4.8.5-39.el7.x86_64 already installed and latest version
Package libstdc++-4.8.5-39.el7.x86_64 already installed and latest version
Package 1:make-3.82-24.el7.x86_64 already installed and latest version
Package python-2.7.5-86.el7.x86_64 already installed and latest version
Package python-six-1.9.0-2.el7.noarch already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package bc.x86_64 0:1.06.95-13.el7 will be installed
---> Package compat-libcap1.x86_64 0:1.10-7.el7 will be installed
---> Package elfutils-libelf-devel.x86_64 0:0.176-2.el7 will be installed
--> Processing Dependency: pkgconfig(zlib) for package: elfutils-libelf-devel-0.176-2.el7.x86_64
---> Package fontconfig-devel.x86_64 0:2.13.0-4.3.el7 will be installed
--> Processing Dependency: fontconfig(x86-64) = 2.13.0-4.3.el7 for package: fontconfig-devel-2.13.0-4.3.el7.x86_64
--> Processing Dependency: pkgconfig(freetype2) >= 20.0.14 for package: fontconfig-devel-2.13.0-4.3.el7.x86_64
--> Processing Dependency: freetype-devel >= 2.8-7 for package: fontconfig-devel-2.13.0-4.3.el7.x86_64
--> Processing Dependency: pkgconfig(uuid) for package: fontconfig-devel-2.13.0-4.3.el7.x86_64
--> Processing Dependency: pkgconfig(expat) for package: fontconfig-devel-2.13.0-4.3.el7.x86_64
--> Processing Dependency: libfontconfig.so.1()(64bit) for package: fontconfig-devel-2.13.0-4.3.el7.x86_64
---> Package glibc-devel.x86_64 0:2.17-292.el7 will be installed
--> Processing Dependency: glibc-headers = 2.17-292.el7 for package: glibc-devel-2.17-292.el7.x86_64
--> Processing Dependency: glibc-headers for package: glibc-devel-2.17-292.el7.x86_64
---> Package ksh.x86_64 0:20120801-139.el7 will be installed
---> Package libX11.x86_64 0:1.6.7-2.el7 will be installed
--> Processing Dependency: libX11-common >= 1.6.7-2.el7 for package: libX11-1.6.7-2.el7.x86_64
---> Package libXau.x86_64 0:1.0.8-2.1.el7 will be installed
---> Package libXi.x86_64 0:1.7.9-1.el7 will be installed
--> Processing Dependency: libXext.so.6()(64bit) for package: libXi-1.7.9-1.el7.x86_64
---> Package libXrender.x86_64 0:0.9.10-1.el7 will be installed
---> Package libXrender-devel.x86_64 0:0.9.10-1.el7 will be installed
--> Processing Dependency: pkgconfig(renderproto) >= 0.9 for package: libXrender-devel-0.9.10-1.el7.x86_64
--> Processing Dependency: pkgconfig(xproto) for package: libXrender-devel-0.9.10-1.el7.x86_64
--> Processing Dependency: pkgconfig(x11) for package: libXrender-devel-0.9.10-1.el7.x86_64
---> Package libXtst.x86_64 0:1.2.3-1.el7 will be installed
---> Package libaio-devel.x86_64 0:0.3.109-13.el7 will be installed
---> Package libstdc++-devel.x86_64 0:4.8.5-39.el7 will be installed
---> Package libxcb.x86_64 0:1.13-1.el7 will be installed
---> Package net-tools.x86_64 0:2.0-0.25.20131004git.el7 will be installed
---> Package nfs-utils.x86_64 1:1.3.0-0.65.el7 will be installed
--> Processing Dependency: libtirpc >= 0.2.4-0.7 for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: gssproxy >= 0.7.0-3 for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: rpcbind for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: quota for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: libnfsidmap for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: libevent for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: keyutils for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: libtirpc.so.1()(64bit) for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: libnfsidmap.so.0()(64bit) for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
--> Processing Dependency: libevent-2.0.so.5()(64bit) for package: 1:nfs-utils-1.3.0-0.65.el7.x86_64
---> Package python-configshell.noarch 1:1.1.fb25-1.el7 will be installed
--> Processing Dependency: python-urwid for package: 1:python-configshell-1.1.fb25-1.el7.noarch
--> Processing Dependency: pyparsing for package: 1:python-configshell-1.1.fb25-1.el7.noarch
---> Package python-rtslib.noarch 0:2.1.fb69-3.el7 will be installed
--> Processing Dependency: python-kmod for package: python-rtslib-2.1.fb69-3.el7.noarch
---> Package smartmontools.x86_64 1:7.0-1.el7 will be installed
--> Processing Dependency: mailx for package: 1:smartmontools-7.0-1.el7.x86_64
---> Package sysstat.x86_64 0:10.1.5-18.el7 will be installed
--> Processing Dependency: libsensors.so.4()(64bit) for package: sysstat-10.1.5-18.el7.x86_64
---> Package targetcli.noarch 0:2.1.fb49-1.el7 will be installed
---> Package unzip.x86_64 0:6.0-20.el7 will be installed
---> Package vim-enhanced.x86_64 2:7.4.629-6.el7 will be installed
--> Running transaction check
---> Package expat-devel.x86_64 0:2.1.0-10.el7_3 will be installed
---> Package fontconfig.x86_64 0:2.13.0-4.3.el7 will be installed
--> Processing Dependency: fontpackages-filesystem for package: fontconfig-2.13.0-4.3.el7.x86_64
--> Processing Dependency: dejavu-sans-fonts for package: fontconfig-2.13.0-4.3.el7.x86_64
---> Package freetype-devel.x86_64 0:2.8-14.el7 will be installed
--> Processing Dependency: pkgconfig(libpng) for package: freetype-devel-2.8-14.el7.x86_64
---> Package glibc-headers.x86_64 0:2.17-292.el7 will be installed
--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.17-292.el7.x86_64
--> Processing Dependency: kernel-headers for package: glibc-headers-2.17-292.el7.x86_64
---> Package gssproxy.x86_64 0:0.7.0-26.el7 will be installed
--> Processing Dependency: libini_config >= 1.3.1-31 for package: gssproxy-0.7.0-26.el7.x86_64
--> Processing Dependency: libverto-module-base for package: gssproxy-0.7.0-26.el7.x86_64
--> Processing Dependency: libref_array.so.1(REF_ARRAY_0.1.1)(64bit) for package: gssproxy-0.7.0-26.el7.x86_64
--> Processing Dependency: libini_config.so.3(INI_CONFIG_1.2.0)(64bit) for package: gssproxy-0.7.0-26.el7.x86_64
--> Processing Dependency: libini_config.so.3(INI_CONFIG_1.1.0)(64bit) for package: gssproxy-0.7.0-26.el7.x86_64
--> Processing Dependency: libref_array.so.1()(64bit) for package: gssproxy-0.7.0-26.el7.x86_64
--> Processing Dependency: libini_config.so.3()(64bit) for package: gssproxy-0.7.0-26.el7.x86_64
--> Processing Dependency: libcollection.so.2()(64bit) for package: gssproxy-0.7.0-26.el7.x86_64
--> Processing Dependency: libbasicobjects.so.0()(64bit) for package: gssproxy-0.7.0-26.el7.x86_64
---> Package keyutils.x86_64 0:1.5.8-3.el7 will be installed
---> Package libX11-common.noarch 0:1.6.7-2.el7 will be installed
---> Package libX11-devel.x86_64 0:1.6.7-2.el7 will be installed
--> Processing Dependency: pkgconfig(xcb) >= 1.11.1 for package: libX11-devel-1.6.7-2.el7.x86_64
--> Processing Dependency: pkgconfig(xcb) for package: libX11-devel-1.6.7-2.el7.x86_64
---> Package libXext.x86_64 0:1.3.3-3.el7 will be installed
---> Package libevent.x86_64 0:2.0.21-4.el7 will be installed
---> Package libnfsidmap.x86_64 0:0.25-19.el7 will be installed
---> Package libtirpc.x86_64 0:0.2.4-0.16.el7 will be installed
---> Package libuuid-devel.x86_64 0:2.23.2-61.el7 will be installed
---> Package lm_sensors-libs.x86_64 0:3.4.0-8.20160601gitf9185e5.el7 will be installed
---> Package mailx.x86_64 0:12.5-19.el7 will be installed
---> Package pyparsing.noarch 0:1.5.6-9.el7 will be installed
---> Package python-kmod.x86_64 0:0.9-4.el7 will be installed
---> Package python-urwid.x86_64 0:1.1.1-3.el7 will be installed
---> Package quota.x86_64 1:4.01-19.el7 will be installed
--> Processing Dependency: quota-nls = 1:4.01-19.el7 for package: 1:quota-4.01-19.el7.x86_64
--> Processing Dependency: tcp_wrappers for package: 1:quota-4.01-19.el7.x86_64
---> Package rpcbind.x86_64 0:0.2.0-48.el7 will be installed
---> Package xorg-x11-proto-devel.noarch 0:2018.4-1.el7 will be installed
---> Package zlib-devel.x86_64 0:1.2.7-18.el7 will be installed
--> Running transaction check
---> Package dejavu-sans-fonts.noarch 0:2.33-6.el7 will be installed
--> Processing Dependency: dejavu-fonts-common = 2.33-6.el7 for package: dejavu-sans-fonts-2.33-6.el7.noarch
---> Package fontpackages-filesystem.noarch 0:1.44-8.el7 will be installed
---> Package kernel-headers.x86_64 0:3.10.0-1062.el7 will be installed
---> Package libbasicobjects.x86_64 0:0.1.1-32.el7 will be installed
---> Package libcollection.x86_64 0:0.7.0-32.el7 will be installed
---> Package libini_config.x86_64 0:1.3.1-32.el7 will be installed
--> Processing Dependency: libpath_utils.so.1(PATH_UTILS_0.2.1)(64bit) for package: libini_config-1.3.1-32.el7.x86_64
--> Processing Dependency: libpath_utils.so.1()(64bit) for package: libini_config-1.3.1-32.el7.x86_64
---> Package libpng-devel.x86_64 2:1.5.13-7.el7_2 will be installed
---> Package libref_array.x86_64 0:0.1.5-32.el7 will be installed
---> Package libverto-libevent.x86_64 0:0.2.5-4.el7 will be installed
---> Package libxcb-devel.x86_64 0:1.13-1.el7 will be installed
--> Processing Dependency: pkgconfig(xau) >= 0.99.2 for package: libxcb-devel-1.13-1.el7.x86_64
---> Package quota-nls.noarch 1:4.01-19.el7 will be installed
---> Package tcp_wrappers.x86_64 0:7.6-77.el7 will be installed
--> Running transaction check
---> Package dejavu-fonts-common.noarch 0:2.33-6.el7 will be installed
---> Package libXau-devel.x86_64 0:1.0.8-2.1.el7 will be installed
---> Package libpath_utils.x86_64 0:0.2.1-32.el7 will be installed
--> Finished Dependency Resolution
Dependencies Resolved
======================================================================================================================================
Package Arch Version Repository Size
Installing:
bc x86_64 1.06.95-13.el7 base 115 k
compat-libcap1 x86_64 1.10-7.el7 base 19 k
elfutils-libelf-devel x86_64 0.176-2.el7 base 39 k
fontconfig-devel x86_64 2.13.0-4.3.el7 base 138 k
glibc-devel x86_64 2.17-292.el7 base 1.1 M
ksh x86_64 20120801-139.el7 base 885 k
libX11 x86_64 1.6.7-2.el7 base 607 k
libXau x86_64 1.0.8-2.1.el7 base 29 k
libXi x86_64 1.7.9-1.el7 base 40 k
libXrender x86_64 0.9.10-1.el7 base 26 k
libXrender-devel x86_64 0.9.10-1.el7 base 17 k
libXtst x86_64 1.2.3-1.el7 base 20 k
libaio-devel x86_64 0.3.109-13.el7 base 13 k
libstdc++-devel x86_64 4.8.5-39.el7 base 1.5 M
libxcb x86_64 1.13-1.el7 base 214 k
net-tools x86_64 2.0-0.25.20131004git.el7 base 306 k
nfs-utils x86_64 1:1.3.0-0.65.el7 base 412 k
python-configshell noarch 1:1.1.fb25-1.el7 base 68 k
python-rtslib noarch 2.1.fb69-3.el7 base 102 k
smartmontools x86_64 1:7.0-1.el7 base 546 k
sysstat x86_64 10.1.5-18.el7 base 316 k
targetcli noarch 2.1.fb49-1.el7 base 68 k
unzip x86_64 6.0-20.el7 base 170 k
vim-enhanced x86_64 2:7.4.629-6.el7 base 1.1 M
Installing for dependencies:
dejavu-fonts-common noarch 2.33-6.el7 base 64 k
dejavu-sans-fonts noarch 2.33-6.el7 base 1.4 M
expat-devel x86_64 2.1.0-10.el7_3 base 57 k
fontconfig x86_64 2.13.0-4.3.el7 base 254 k
fontpackages-filesystem noarch 1.44-8.el7 base 9.9 k
freetype-devel x86_64 2.8-14.el7 base 447 k
glibc-headers x86_64 2.17-292.el7 base 687 k
gssproxy x86_64 0.7.0-26.el7 base 110 k
kernel-headers x86_64 3.10.0-1062.el7 base 8.7 M
keyutils x86_64 1.5.8-3.el7 base 54 k
libX11-common noarch 1.6.7-2.el7 base 164 k
libX11-devel x86_64 1.6.7-2.el7 base 981 k
libXau-devel x86_64 1.0.8-2.1.el7 base 14 k
libXext x86_64 1.3.3-3.el7 base 39 k
libbasicobjects x86_64 0.1.1-32.el7 base 26 k
libcollection x86_64 0.7.0-32.el7 base 42 k
libevent x86_64 2.0.21-4.el7 base 214 k
libini_config x86_64 1.3.1-32.el7 base 64 k
libnfsidmap x86_64 0.25-19.el7 base 50 k
libpath_utils x86_64 0.2.1-32.el7 base 28 k
libpng-devel x86_64 2:1.5.13-7.el7_2 base 122 k
libref_array x86_64 0.1.5-32.el7 base 27 k
libtirpc x86_64 0.2.4-0.16.el7 base 89 k
libuuid-devel x86_64 2.23.2-61.el7 base 92 k
libverto-libevent x86_64 0.2.5-4.el7 base 8.9 k
libxcb-devel x86_64 1.13-1.el7 base 1.1 M
lm_sensors-libs x86_64 3.4.0-8.20160601gitf9185e5.el7 base 42 k
mailx x86_64 12.5-19.el7 base 245 k
pyparsing noarch 1.5.6-9.el7 base 94 k
python-kmod x86_64 0.9-4.el7 base 57 k
python-urwid x86_64 1.1.1-3.el7 base 654 k
quota x86_64 1:4.01-19.el7 base 179 k
quota-nls noarch 1:4.01-19.el7 base 90 k
rpcbind x86_64 0.2.0-48.el7 base 60 k
tcp_wrappers x86_64 7.6-77.el7 base 79 k
xorg-x11-proto-devel noarch 2018.4-1.el7 base 279 k
zlib-devel x86_64 1.2.7-18.el7 base 50 k
Transaction Summary
Install 24 Packages (+37 Dependent packages)
Total download size: 24 M
Installed size: 53 M
Downloading packages:
Total 108 MB/s | 24 MB 00:00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : xorg-x11-proto-devel-2018.4-1.el7.noarch 1/61
Installing : zlib-devel-1.2.7-18.el7.x86_64 2/61
Installing : libcollection-0.7.0-32.el7.x86_64 3/61
Installing : libXau-1.0.8-2.1.el7.x86_64 4/61
Installing : libxcb-1.13-1.el7.x86_64 5/61
Installing : libref_array-0.1.5-32.el7.x86_64 6/61
Installing : libevent-2.0.21-4.el7.x86_64 7/61
Installing : fontpackages-filesystem-1.44-8.el7.noarch 8/61
Installing : libbasicobjects-0.1.1-32.el7.x86_64 9/61
Installing : libtirpc-0.2.4-0.16.el7.x86_64 10/61
Installing : rpcbind-0.2.0-48.el7.x86_64 11/61
Installing : dejavu-fonts-common-2.33-6.el7.noarch 12/61
Installing : dejavu-sans-fonts-2.33-6.el7.noarch 13/61
Installing : fontconfig-2.13.0-4.3.el7.x86_64 14/61
Installing : libverto-libevent-0.2.5-4.el7.x86_64 15/61
Installing : libXau-devel-1.0.8-2.1.el7.x86_64 16/61
Installing : libxcb-devel-1.13-1.el7.x86_64 17/61
Installing : 2:libpng-devel-1.5.13-7.el7_2.x86_64 18/61
Installing : freetype-devel-2.8-14.el7.x86_64 19/61
Installing : expat-devel-2.1.0-10.el7_3.x86_64 20/61
Installing : mailx-12.5-19.el7.x86_64 21/61
Installing : 1:quota-nls-4.01-19.el7.noarch 22/61
Installing : libnfsidmap-0.25-19.el7.x86_64 23/61
Installing : keyutils-1.5.8-3.el7.x86_64 24/61
Installing : libpath_utils-0.2.1-32.el7.x86_64 25/61
Installing : libini_config-1.3.1-32.el7.x86_64 26/61
Installing : gssproxy-0.7.0-26.el7.x86_64 27/61
Installing : python-kmod-0.9-4.el7.x86_64 28/61
Installing : python-rtslib-2.1.fb69-3.el7.noarch 29/61
Installing : python-urwid-1.1.1-3.el7.x86_64 30/61
Installing : libX11-common-1.6.7-2.el7.noarch 31/61
Installing : libX11-1.6.7-2.el7.x86_64 32/61
Installing : libXext-1.3.3-3.el7.x86_64 33/61
Installing : libXi-1.7.9-1.el7.x86_64 34/61
Installing : libX11-devel-1.6.7-2.el7.x86_64 35/61
Installing : libXrender-0.9.10-1.el7.x86_64 36/61
Installing : lm_sensors-libs-3.4.0-8.20160601gitf9185e5.el7.x86_64 37/61
Installing : tcp_wrappers-7.6-77.el7.x86_64 38/61
Installing : 1:quota-4.01-19.el7.x86_64 39/61
Installing : pyparsing-1.5.6-9.el7.noarch 40/61
Installing : 1:python-configshell-1.1.fb25-1.el7.noarch 41/61
Installing : kernel-headers-3.10.0-1062.el7.x86_64 42/61
Installing : glibc-headers-2.17-292.el7.x86_64 43/61
Installing : libuuid-devel-2.23.2-61.el7.x86_64 44/61
Installing : fontconfig-devel-2.13.0-4.3.el7.x86_64 45/61
Installing : glibc-devel-2.17-292.el7.x86_64 46/61
Installing : targetcli-2.1.fb49-1.el7.noarch 47/61
Installing : 1:nfs-utils-1.3.0-0.65.el7.x86_64 48/61
Installing : sysstat-10.1.5-18.el7.x86_64 49/61
Installing : libXrender-devel-0.9.10-1.el7.x86_64 50/61
Installing : libXtst-1.2.3-1.el7.x86_64 51/61
Installing : 1:smartmontools-7.0-1.el7.x86_64 52/61
Installing : elfutils-libelf-devel-0.176-2.el7.x86_64 53/61
Installing : libaio-devel-0.3.109-13.el7.x86_64 54/61
Installing : compat-libcap1-1.10-7.el7.x86_64 55/61
Installing : ksh-20120801-139.el7.x86_64 56/61
Installing : 2:vim-enhanced-7.4.629-6.el7.x86_64 57/61
Installing : libstdc++-devel-4.8.5-39.el7.x86_64 58/61
Installing : net-tools-2.0-0.25.20131004git.el7.x86_64 59/61
Installing : bc-1.06.95-13.el7.x86_64 60/61
Installing : unzip-6.0-20.el7.x86_64 61/61
Verifying : libXext-1.3.3-3.el7.x86_64 1/61
Verifying : libtirpc-0.2.4-0.16.el7.x86_64 2/61
Verifying : libXi-1.7.9-1.el7.x86_64 3/61
Verifying : libX11-devel-1.6.7-2.el7.x86_64 4/61
Verifying : fontconfig-2.13.0-4.3.el7.x86_64 5/61
Verifying : 2:libpng-devel-1.5.13-7.el7_2.x86_64 6/61
Verifying : libXrender-0.9.10-1.el7.x86_64 7/61
Verifying : libuuid-devel-2.23.2-61.el7.x86_64 8/61
Verifying : 1:nfs-utils-1.3.0-0.65.el7.x86_64 9/61
Verifying : kernel-headers-3.10.0-1062.el7.x86_64 10/61
Verifying : libbasicobjects-0.1.1-32.el7.x86_64 11/61
Verifying : unzip-6.0-20.el7.x86_64 12/61
Verifying : pyparsing-1.5.6-9.el7.noarch 13/61
Verifying : fontpackages-filesystem-1.44-8.el7.noarch 14/61
Verifying : bc-1.06.95-13.el7.x86_64 15/61
Verifying : fontconfig-devel-2.13.0-4.3.el7.x86_64 16/61
Verifying : tcp_wrappers-7.6-77.el7.x86_64 17/61
Verifying : zlib-devel-1.2.7-18.el7.x86_64 18/61
Verifying : xorg-x11-proto-devel-2018.4-1.el7.noarch 19/61
Verifying : dejavu-fonts-common-2.33-6.el7.noarch 20/61
Verifying : net-tools-2.0-0.25.20131004git.el7.x86_64 21/61
Verifying : libXtst-1.2.3-1.el7.x86_64 22/61
Verifying : libX11-1.6.7-2.el7.x86_64 23/61
Verifying : targetcli-2.1.fb49-1.el7.noarch 24/61
Verifying : libxcb-1.13-1.el7.x86_64 25/61
Verifying : freetype-devel-2.8-14.el7.x86_64 26/61
Verifying : lm_sensors-libs-3.4.0-8.20160601gitf9185e5.el7.x86_64 27/61
Verifying : libstdc++-devel-4.8.5-39.el7.x86_64 28/61
Verifying : libini_config-1.3.1-32.el7.x86_64 29/61
Verifying : libX11-common-1.6.7-2.el7.noarch 30/61
Verifying : libXrender-devel-0.9.10-1.el7.x86_64 31/61
Verifying : 2:vim-enhanced-7.4.629-6.el7.x86_64 32/61
Verifying : python-urwid-1.1.1-3.el7.x86_64 33/61
Verifying : sysstat-10.1.5-18.el7.x86_64 34/61
Verifying : ksh-20120801-139.el7.x86_64 35/61
Verifying : libevent-2.0.21-4.el7.x86_64 36/61
Verifying : elfutils-libelf-devel-0.176-2.el7.x86_64 37/61
Verifying : libverto-libevent-0.2.5-4.el7.x86_64 38/61
Verifying : dejavu-sans-fonts-2.33-6.el7.noarch 39/61
Verifying : compat-libcap1-1.10-7.el7.x86_64 40/61
Verifying : libaio-devel-0.3.109-13.el7.x86_64 41/61
Verifying : 1:python-configshell-1.1.fb25-1.el7.noarch 42/61
Verifying : libref_array-0.1.5-32.el7.x86_64 43/61
Verifying : rpcbind-0.2.0-48.el7.x86_64 44/61
Verifying : python-kmod-0.9-4.el7.x86_64 45/61
Verifying : glibc-devel-2.17-292.el7.x86_64 46/61
Verifying : libpath_utils-0.2.1-32.el7.x86_64 47/61
Verifying : 1:quota-4.01-19.el7.x86_64 48/61
Verifying : libxcb-devel-1.13-1.el7.x86_64 49/61
Verifying : gssproxy-0.7.0-26.el7.x86_64 50/61
Verifying : libXau-1.0.8-2.1.el7.x86_64 51/61
Verifying : 1:smartmontools-7.0-1.el7.x86_64 52/61
Verifying : libcollection-0.7.0-32.el7.x86_64 53/61
Verifying : keyutils-1.5.8-3.el7.x86_64 54/61
Verifying : libnfsidmap-0.25-19.el7.x86_64 55/61
Verifying : 1:quota-nls-4.01-19.el7.noarch 56/61
Verifying : python-rtslib-2.1.fb69-3.el7.noarch 57/61
Verifying : mailx-12.5-19.el7.x86_64 58/61
Verifying : expat-devel-2.1.0-10.el7_3.x86_64 59/61
Verifying : glibc-headers-2.17-292.el7.x86_64 60/61
Verifying : libXau-devel-1.0.8-2.1.el7.x86_64 61/61
Installed:
bc.x86_64 0:1.06.95-13.el7 compat-libcap1.x86_64 0:1.10-7.el7 elfutils-libelf-devel.x86_64 0:0.176-2.el7
fontconfig-devel.x86_64 0:2.13.0-4.3.el7 glibc-devel.x86_64 0:2.17-292.el7 ksh.x86_64 0:20120801-139.el7
libX11.x86_64 0:1.6.7-2.el7 libXau.x86_64 0:1.0.8-2.1.el7 libXi.x86_64 0:1.7.9-1.el7
libXrender.x86_64 0:0.9.10-1.el7 libXrender-devel.x86_64 0:0.9.10-1.el7 libXtst.x86_64 0:1.2.3-1.el7
libaio-devel.x86_64 0:0.3.109-13.el7 libstdc++-devel.x86_64 0:4.8.5-39.el7 libxcb.x86_64 0:1.13-1.el7
net-tools.x86_64 0:2.0-0.25.20131004git.el7 nfs-utils.x86_64 1:1.3.0-0.65.el7 python-configshell.noarch 1:1.1.fb25-1.el7
python-rtslib.noarch 0:2.1.fb69-3.el7 smartmontools.x86_64 1:7.0-1.el7 sysstat.x86_64 0:10.1.5-18.el7
targetcli.noarch 0:2.1.fb49-1.el7 unzip.x86_64 0:6.0-20.el7 vim-enhanced.x86_64 2:7.4.629-6.el7
Dependency Installed:
dejavu-fonts-common.noarch 0:2.33-6.el7 dejavu-sans-fonts.noarch 0:2.33-6.el7
expat-devel.x86_64 0:2.1.0-10.el7_3 fontconfig.x86_64 0:2.13.0-4.3.el7
fontpackages-filesystem.noarch 0:1.44-8.el7 freetype-devel.x86_64 0:2.8-14.el7
glibc-headers.x86_64 0:2.17-292.el7 gssproxy.x86_64 0:0.7.0-26.el7
kernel-headers.x86_64 0:3.10.0-1062.el7 keyutils.x86_64 0:1.5.8-3.el7
libX11-common.noarch 0:1.6.7-2.el7 libX11-devel.x86_64 0:1.6.7-2.el7
libXau-devel.x86_64 0:1.0.8-2.1.el7 libXext.x86_64 0:1.3.3-3.el7
libbasicobjects.x86_64 0:0.1.1-32.el7 libcollection.x86_64 0:0.7.0-32.el7
libevent.x86_64 0:2.0.21-4.el7 libini_config.x86_64 0:1.3.1-32.el7
libnfsidmap.x86_64 0:0.25-19.el7 libpath_utils.x86_64 0:0.2.1-32.el7
libpng-devel.x86_64 2:1.5.13-7.el7_2 libref_array.x86_64 0:0.1.5-32.el7
libtirpc.x86_64 0:0.2.4-0.16.el7 libuuid-devel.x86_64 0:2.23.2-61.el7
libverto-libevent.x86_64 0:0.2.5-4.el7 libxcb-devel.x86_64 0:1.13-1.el7
lm_sensors-libs.x86_64 0:3.4.0-8.20160601gitf9185e5.el7 mailx.x86_64 0:12.5-19.el7
pyparsing.noarch 0:1.5.6-9.el7 python-kmod.x86_64 0:0.9-4.el7
python-urwid.x86_64 0:1.1.1-3.el7 quota.x86_64 1:4.01-19.el7
quota-nls.noarch 1:4.01-19.el7 rpcbind.x86_64 0:0.2.0-48.el7
tcp_wrappers.x86_64 0:7.6-77.el7 xorg-x11-proto-devel.noarch 0:2018.4-1.el7
zlib-devel.x86_64 0:1.2.7-18.el7
Complete!

2.14.4     安装compat-libstdc++

[root@adg19c ~]# rpm -ivh /home/oracle/compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm
warning: /home/oracle/compat-libstdc++-33-3.2.3-69.el6.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID ec551f03: NOKEY
Preparing… ################################# [100%]
Updating / installing…
1:compat-libstdc++-33-3.2.3-69.el6 ################################# [100%]

look at this website 备注:这个包在 RHEL 7 的系统盘里面没有,需要单独下载后手工安装。

2.13.5     检查已安装依赖包

[root@adg19c ~]# rpm -q --qf '%{NAME}-%{VERSION}-%{RELEASE} (%{ARCH})\n' bc binutils compat-libcap1 compat-libstdc++ elfutils-libelf elfutils-libelf-devel fontconfig-devel glibc glibc-devel ksh libaio libaio-devel libX11 libXau libXi libXtst libXrender libXrender-devel libgcc libstdc++ libstdc++-devel libxcb make net-tools nfs-utils python python-configshell python-rtslib python-six targetcli smartmontools sysstat unzip vim
bc-1.06.95-13.el7 (x86_64)
binutils-2.27-41.base.el7 (x86_64)
compat-libcap1-1.10-7.el7 (x86_64)
package compat-libstdc++ is not installed --只要安装了这个报错没有关系。
elfutils-libelf-0.176-2.el7 (x86_64)
elfutils-libelf-devel-0.176-2.el7 (x86_64)
fontconfig-devel-2.13.0-4.3.el7 (x86_64)
glibc-2.17-292.el7 (x86_64)
glibc-devel-2.17-292.el7 (x86_64)
ksh-20120801-139.el7 (x86_64)
libaio-0.3.109-13.el7 (x86_64)
libaio-devel-0.3.109-13.el7 (x86_64)
libX11-1.6.7-2.el7 (x86_64)
libXau-1.0.8-2.1.el7 (x86_64)
libXi-1.7.9-1.el7 (x86_64)
libXtst-1.2.3-1.el7 (x86_64)
libXrender-0.9.10-1.el7 (x86_64)
libXrender-devel-0.9.10-1.el7 (x86_64)
libgcc-4.8.5-39.el7 (x86_64)
libstdc++-4.8.5-39.el7 (x86_64)
libstdc++-devel-4.8.5-39.el7 (x86_64)
libxcb-1.13-1.el7 (x86_64)
make-3.82-24.el7 (x86_64)
net-tools-2.0-0.25.20131004git.el7 (x86_64)
nfs-utils-1.3.0-0.65.el7 (x86_64)
python-2.7.5-86.el7 (x86_64)
python-configshell-1.1.fb25-1.el7 (noarch)
python-rtslib-2.1.fb69-3.el7 (noarch)
python-six-1.9.0-2.el7 (noarch)
targetcli-2.1.fb49-1.el7 (noarch)
smartmontools-7.0-1.el7 (x86_64)
sysstat-10.1.5-18.el7 (x86_64)
unzip-6.0-20.el7 (x86_64)

三、           安装软件

3.1.         解压数据库软件

[oracle@adg19c ~]$ unzip -q LINUX.X64_193000_db_home.zip -d $ORACLE_HOME
[oracle@adg19c ~]$ du -sh $ORACLE_HOME
6.5G /DBSoft/oracle/product/19.3/dbhome_1

3.2.    开始安装数据库 软件

# 编写相应文件

[oracle@adg19c ~]$ cat 19c_db_install.rsp
oracle.install.responseFileVersion=/oracle/install/rspfmt_dbinstall_response_schema_v19.0.0
oracle.install.option=INSTALL_DB_SWONLY
UNIX_GROUP_NAME=oinstall
INVENTORY_LOCATION=/DBSoft/oracle/oraInventory
ORACLE_BASE=/DBSoft/oracle
ORACLE_HOME=/DBSoft/oracle/product/19.3/dbhome_1
oracle.install.db.InstallEdition=EE
oracle.install.db.OSDBA_GROUP=dba
oracle.install.db.OSOPER_GROUP=oper
oracle.install.db.OSBACKUPDBA_GROUP=backupdba
oracle.install.db.OSDGDBA_GROUP=dgdba
oracle.install.db.OSKMDBA_GROUP=kmdba
oracle.install.db.OSRACDBA_GROUP=racdba
oracle.install.db.rootconfig.executeRootScript=true
oracle.install.db.rootconfig.configMethod=ROOT

#  运行安装命令

[oracle@adg19c ~]$ $ORACLE_HOME/runInstaller -silent -force -noconfig -ignorePrereq -responseFile /home/oracle/19c_db_install.rsp
Launching Oracle Database Setup Wizard…
[WARNING] [INS-32055] The Central Inventory is located in the Oracle base.
ACTION: Oracle recommends placing this Central Inventory in a location outside the Oracle base directory.
Enter password for 'root' user:
[WARNING] [INS-13014] Target environment does not meet some optional requirements.
CAUSE: Some of the optional prerequisites are not met. See logs for details. installActions2020-03-12_08-38-48AM.log
ACTION: Identify the list of failed prerequisite checks from the log: installActions2020-03-12_08-38-48AM.log. Then either from the log file or from installation manual find the appropriate configuration to meet the prerequisites and fix it manually.
The response file for this session can be found at:
/DBSoft/oracle/product/19.3/dbhome_1/install/response/db_2020-03-12_08-38-48AM.rsp
You can find the log of this install session at:
/tmp/InstallActions2020-03-12_08-38-48AM/installActions2020-03-12_08-38-48AM.log
Successfully Setup Software with warning(s).
Moved the install session logs to:
/DBSoft/oracle/oraInventory/logs/InstallActions2020-03-12_08-38-48AM

备注:该过程非常快,整个运行不到1分钟,中途会提示输入root用户密码用于自动执行root.sh脚本

四、      创建监听

rencontres ado cool # 编写监听配置文件

[oracle@adg19c ~]$ cat 19c_netca.rsp
[GENERAL]
RESPONSEFILE_VERSION="19.3"
CREATE_TYPE="CUSTOM"
[oracle.net.ca]
INSTALLED_COMPONENTS={"server","net8","javavm"}
INSTALL_TYPE=""typical""
LISTENER_NUMBER=1
LISTENER_NAMES={"LISTENER"}
LISTENER_PROTOCOLS={"TCP;1521"}
LISTENER_START=""LISTENER""
NAMING_METHODS={"TNSNAMES","ONAMES","HOSTNAME"}
NSN_NUMBER=1
NSN_NAMES={"EXTPROC_CONNECTION_DATA"}
NSN_SERVICE={"PLSExtProc"}
NSN_PROTOCOLS={"TCP;HOSTNAME;1521"}

why not look here # 静默配置监听

[oracle@adg19c ~]$ netca /silent /responsefile /home/oracle/19c_netca.rsp
Parsing command line arguments:
Parameter "silent" = true
Parameter "responsefile" = /home/oracle/19c_netca.rsp
Done parsing command line arguments.
Oracle Net Services Configuration:
Profile configuration complete.
Oracle Net Listener Startup:
Running Listener Control:
/DBSoft/oracle/product/19.3/dbhome_1/bin/lsnrctl start LISTENER
Listener Control complete.
Listener started successfully.
Listener configuration complete.
Oracle Net Services configuration successful. The exit code is 0

五、      创建数据库

 # 编写数据库创建相应文件

[oracle@adg19c ~]$ cat 19c_dbca.rsp
[CREATEDATABASE]
templateName General_Purpose.dbc
gdbname woo
sid woo
createAsContainerDatabase TRUE
numberOfPDBs 1
pdbName woopdb1
pdbAdminPassword woo
sysPassword woo -systemPassword woo
datafileDestination '/DBSoft/oracle/oradata'
recoveryAreaDestination '/DBSoft/oracle/flash_recovery_area'
redoLogFileSize 120
storageType FS
characterset AL32UTF8 -nationalCharacterSet AL16UTF16
sampleSchema true
totalMemory 2048
databaseType OLTP
emConfiguration NONE

# 静默创建数据库

dbca -silent -createDatabase -responseFile /home/oracle/19c_dbca.rsp

六、      创建一个PDBs

[oracle@adg19c ~]$ sqlplus / as sysdba

SQL*Plus: Release 19.0.0.0.0 - Production on Thu Mar 12 06:43:25 2020
Version 19.3.0.0.0
Copyright (c) 1982, 2019, Oracle. All rights reserved.
Connected to:
Oracle Database 19c Enterprise Edition Release 19.0.0.0.0 - Production
Version 19.3.0.0.0
SQL> show pdbs;
CON_ID CON_NAME OPEN MODE RESTRICTED

2 PDB$SEED READ ONLY NO 3 PDB READ WRITE NO
SQL> create pluggable database pdbwoo from pdb file_name_convert=('pdb/','pdbwoo/');
Pluggable database created.
SQL> show pdbs;
CON_ID CON_NAME OPEN MODE RESTRICTED

2 PDB$SEED READ ONLY NO 3 PDB READ WRITE NO 4 PDBWOO MOUNTED
SQL> alter pluggable database all save state;
Pluggable database altered.
SQL> show pdbs;
CON_ID CON_NAME OPEN MODE RESTRICTED

2 PDB$SEED READ ONLY NO 3 PDB READ WRITE NO 4 PDBWOO READ WRITE NO

七、      检查监听注册状态

[oracle@adg19c ~]$ lsnrctl status

LSNRCTL for Linux: Version 19.0.0.0.0 - Production on 12-MAR-2020 06:53:55
Copyright (c) 1991, 2019, Oracle. All rights reserved.

Connecting to (DESCRIPTION=(ADDRESS=(PROTOCOL=TCP)(HOST=adg19c)(PORT=1521)))
STATUS of the LISTENER
Alias LISTENER
Version TNSLSNR for Linux: Version 19.0.0.0.0 - Production
Start Date 12-MAR-2020 06:17:19
Uptime 0 days 0 hr. 36 min. 36 sec
Trace Level off
Security ON: Local OS Authentication
SNMP OFF
Listener Parameter File /DBSoft/oracle/product/19.3/dbhome_1/network/admin/listener.ora
Listener Log File /DBSoft/oracle/diag/tnslsnr/adg19c/listener/alert/log.xml
Listening Endpoints Summary…
(DESCRIPTION=(ADDRESS=(PROTOCOL=tcp)(HOST=adg19c)(PORT=1521)))
(DESCRIPTION=(ADDRESS=(PROTOCOL=ipc)(KEY=EXTPROC1521)))

(DESCRIPTION=(ADDRESS=(PROTOCOL=tcps)(HOST=adg19c)(PORT=5500))(Security=(my_wallet_directory=/DBSoft/oracle/admin/woo/xdb_wallet))(Presentation=HTTP)(Session=RAW))
Services Summary…
Service "86b637b62fdf7a65e053f706e80a27ca" has 1 instance(s).
Instance "woo", status READY, has 1 handler(s) for this service…
Service "a09cefc7b6a2b892e0536354a8c08331" has 1 instance(s).
Instance "woo", status READY, has 1 handler(s) for this service…
Service "a09cfefe92a3b95de0536354a8c024a2" has 1 instance(s).
Instance "woo", status READY, has 1 handler(s) for this service…
Service "pdb" has 1 instance(s).
Instance "woo", status READY, has 1 handler(s) for this service…
Service "pdbwoo" has 1 instance(s).
Instance "woo", status READY, has 1 handler(s) for this service…
Service "woo" has 1 instance(s).
Instance "woo", status READY, has 1 handler(s) for this service…
Service "wooXDB" has 1 instance(s).
Instance "woo", status READY, has 1 handler(s) for this service…
The command completed successfully
此条目发表在12c, Oracle, Oracle基础, 数据库分类目录。将固定链接加入收藏夹。

发表评论

电子邮件地址不会被公开。 必填项已用*标注